package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface CMH_MSG_EMAIL_PLANNED extends MwfRequest<CMH_MSG_EMAIL_PLANNED, CMH_MSG_EMAIL_PLANNEDResponse> {

    @Parameter(name = "GW_SYS_ID")
    CMH_MSG_EMAIL_PLANNED gwSysId(String gwSysId);
    @Parameter(name = "CMP_ID")
    CMH_MSG_EMAIL_PLANNED cmpId(Long cmpId);
    @Parameter(name = "SEND_TIME")
    CMH_MSG_EMAIL_PLANNED sendTime(String sendTime);
    @Parameter(name = "MESG_PARAMS")
    CMH_MSG_EMAIL_PLANNED mesgParams(String mesgParams);
    @Parameter(name = "REF_ID")
    CMH_MSG_EMAIL_PLANNED refId(Long refId);
    @Parameter(name = "CLIENT_ADDRESS_TO")
    CMH_MSG_EMAIL_PLANNED clientAddressTo(String clientAddressTo);
    @Parameter(name = "CLIENT_ADDRESS_CC")
    CMH_MSG_EMAIL_PLANNED clientAddressCc(String clientAddressCc);
    @Parameter(name = "CLIENT_ADDRESS_BCC")
    CMH_MSG_EMAIL_PLANNED clientAddressBcc(String clientAddressBcc);
    @Parameter(name = "REPLY_TO")
    CMH_MSG_EMAIL_PLANNED replyTo(String replyTo);
    @Parameter(name = "CLIENT_BIRTH_NUM")
    CMH_MSG_EMAIL_PLANNED clientBirthNum(String clientBirthNum);
    @Parameter(name = "CLIENT_ID")
    CMH_MSG_EMAIL_PLANNED clientId(String clientId);
    @Parameter(name = "MESG_ALLOW_PAIRING")
    CMH_MSG_EMAIL_PLANNED mesgAllowPairing(Long mesgAllowPairing);
    @Parameter(name = "MESG_ATTACHMENT_URI")
    CMH_MSG_EMAIL_PLANNED mesgAttachmentUri(String mesgAttachmentUri);
    @Parameter(name = "MESG_ATTACHMENT_DMS_ID")
    CMH_MSG_EMAIL_PLANNED mesgAttachmentDmsId(String mesgAttachmentDmsId);
    @Parameter(name = "MESG_ATTACHMENT_NAME")
    CMH_MSG_EMAIL_PLANNED mesgAttachmentName(String mesgAttachmentName);
    @Parameter(name = "DOCUMENT_GENERATION_TYPE")
    CMH_MSG_EMAIL_PLANNED documentGenerationType(String documentGenerationType);
}